Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454703 - netdump uses hard-coded remote port for server
Summary: netdump uses hard-coded remote port for server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 20:06 UTC by Bryn M. Reeves
Modified: 2018-10-20 02:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:03:03 UTC


Attachments (Terms of Use)
use the client's local port when replying (deleted)
2008-07-09 20:18 UTC, Bryn M. Reeves
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0486 normal SHIPPED_LIVE netdump bug fix update 2009-05-18 13:17:10 UTC

Description Bryn M. Reeves 2008-07-09 20:06:20 UTC
Description of problem:
The netdump server uses a hard coded remote port when replying to netdump clients:

netdumpclient.c:
netdump_client_send_reboot ()
[...]
  addr.sin_port = htons(NETDUMP_PORT);
  addr.sin_addr.s_addr = htonl(reboot->ip);

netdump_client_send_request ()
[...]
  addr.sin_port = htons(NETDUMP_PORT);
  addr.sin_addr.s_addr = htonl(client->ip);

This prevents the server communicating with clients that have defined a
non-default LOCALPORT in /etc/sysconfig/netdump.

Version-Release number of selected component (if applicable):
0.7.16-14.EL

How reproducible:
100%

Steps to Reproduce:
1. Configure a netdump client with LOCALPORT!=6666
2. Force a crash on the client

Actual results:
Netdump server replies to port 6666, netdump handshake fails

Expected results:
Netdump server replies to the client's LOCALPORT

Additional info:

Comment 1 Bryn M. Reeves 2008-07-09 20:18:52 UTC
Created attachment 311416 [details]
use the client's local port when replying

Comment 3 Neil Horman 2008-07-11 19:45:17 UTC
fixed in -21.el5, thanks!

Comment 6 Bryn M. Reeves 2008-07-14 14:52:45 UTC
Cloned for el5 EPEL as bug 455265

Comment 9 RHEL Product and Program Management 2008-09-05 17:09:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 16 errata-xmlrpc 2009-05-18 20:03:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0486.html


Note You need to log in before you can comment on or make changes to this bug.